Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Interface JNDIViewMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  JNDIView

public interface JNDIViewMBean
extends ServiceMBean

Version:
  $Revision: 1.2 $
Author:
  Scott_Stark@displayscape.com

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.lang.String` | `list(boolean verbose)` List the JBoss JNDI namespace.
`java.lang.String` | `listXML()` List the JBoss JNDI namespace in XML Format

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### list

    public java.lang.String list(boolean verbose)

  List the JBoss JNDI namespace.
  Parameters:
    `verbose,` -

### listXML

    public java.lang.String listXML()

  List the JBoss JNDI namespace in XML Format

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.